import 'package:flutter/material.dart';

InputDecoration inputDecoration(String label,
    {IconData prefixIcon,
    IconData suffixIcon,
    bool isMultiLine = false,
    String helperText}) {
  return InputDecoration(
    errorBorder: OutlineInputBorder(
      borderRadius: BorderRadius.circular(10),
      borderSide: BorderSide(
        color: Colors.red,
        width: 1.0,
      ),
    ),
    border: OutlineInputBorder(borderSide: BorderSide(color: Colors.grey[200])),
    filled: true,
    helperText: helperText,
    helperStyle: TextStyle(color: Colors.grey, fontSize: 14),
    labelStyle: TextStyle(fontSize: 14),
    enabledBorder: OutlineInputBorder(
        borderRadius: BorderRadius.circular(10), borderSide: BorderSide.none),
    focusedBorder: OutlineInputBorder(
      borderRadius: BorderRadius.circular(10),
      borderSide: BorderSide(
        color: Color(0xffff7f00),
        width: 1.0,
      ),
    ),
    labelText: label,
    prefixIcon: Icon(prefixIcon, size: 15),
    suffixIcon: Icon(suffixIcon),
    contentPadding: EdgeInsets.symmetric(
      vertical: isMultiLine ? 16 : 0.0,
    ),
  );
}
