import 'package:flutter/material.dart';

class SubmitButton extends StatefulWidget {
  final Function onPressed;
  final String text;
  final Color color;
  SubmitButton({@required this.onPressed, @required this.text, this.color});
  @override
  _SubmitButtonState createState() => _SubmitButtonState(this.text);
}

class _SubmitButtonState extends State<SubmitButton> {
  String _buttonText;
  _SubmitButtonState(this._buttonText);

  _doSubmit() {
    this.setState(() {});
    widget.onPressed();
    this.setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    // ignore: deprecated_member_use
    return RaisedButton(
      color: widget.color ?? Colors.blueGrey,
      textColor: Colors.black,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(6.0),
      ),
      elevation: 8,
      padding: EdgeInsets.fromLTRB(0, 6, 0, 6),
      onPressed: () {
        _doSubmit();
      },
      child: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 12.0),
        child: FittedBox(
          fit: BoxFit.fill,
          child: Text(
            _buttonText,
            style: TextStyle(
              color: Colors.white,
              letterSpacing: 1,
              fontWeight: FontWeight.bold,
              fontSize: 14,
            ),
          ),
        ),
      ),
    );
  }
}
